#!/bin/sh

# Tests coefficient I/O routines

# Does not need reference (.2 directory) for this test.

# grok ARCH environment variable

if [ "x$ARCH" = "x" ]
then
  ARCH=`perl -e 'for(@ARGV){m/^ARCH=(\S+)$/o && print "$1";}' $*`
fi


TEST_LIST="amsua/01,amsua/02,hirs/01,iasi/01"


if [ -d "coefs.1.$ARCH" ]
then

for t in $(perl -e '@x = split (m/,/o, $ARGV[0]); print "@x"' $TEST_LIST)
do
  for f in $(find coefs.1.$ARCH/$t -type l)
  do
    l=$(perl -e 'use File::Basename;my $f = shift; print dirname ($f) . "/" . readlink ($f) ' "$f")
    \rm -f "$l"
  done
  \rm -rf coefs.1.$ARCH/$t
done

fi


set -x


\rm -rf test_coef_io.*.1.$ARCH


# usual way to proceed (read only channels of interest from coefficient file), create a reference

./rttov_test.pl DIRECT=1 PRINT=1 TEST_LIST=$TEST_LIST ARCH=$ARCH \
                SESSION=test_coef_io $*

# read all channels from coefficient file and compare to reference

./rttov_test.pl DIRECT=1 PRINT=1 TEST_LIST=$TEST_LIST ARCH=$ARCH \
                SESSION=test_coef_io.all LALLCHANS=1 TEST_REF=test_coef_io.1 $*

# extract required channels from coefficient files, save them to disk and read them again
# compare to reference

for format in formatted unformatted
do

  ./rttov_test.pl DIRECT=1 PRINT=1 TEST_LIST=$TEST_LIST ARCH=$ARCH \
                  SESSION=test_coef_io.$format COEF_EXTRACT=1 \
                  COEF_FORMAT=$format TEST_REF=test_coef_io.1 $*

done

