#!/bin/sh

# Runs all user tests
# Comment out unwanted tests

# Usage: test_core.sh ARCH=myarch [BIN=bindir]
# where myarch = architecture
#       bindir = location of binaries relative to top-level RTTOV directory (optional)


set -x

if [ ! "x$ARCH" = "x" ];
then
  MYARCH="ARCH=$ARCH"
fi

OPTS="$MYARCH $*"

./test_fwd.sh              $OPTS
./test_rttov10.sh          $OPTS
./test_rttov10_hires.sh    $OPTS
./test_pc.sh               $OPTS
./test_multi_instrument.sh $OPTS
./test_zeeman.sh           $OPTS
./test_coef_io.sh          $OPTS
./test_cpu.sh              $OPTS
