#!/bin/sh

# User test

# Tests forward model for a wide range of instruments.

if [ "x$ARCH" = "x" ]
then
  ARCH=`perl -e 'for(@ARGV){m/^ARCH=(\S+)$/o && print "$1";}' $*`
fi

set -x

SESSION=test_fwd
OPTS=$*
WHAT="DIRECT=1"
CHECK="CHECK=1 TEST_REF=$SESSION.2"
COEF="COEF_EXTRACT=1 COEF_FORMAT=UNFORMATTED"

./rttov_test.pl SESSION=$SESSION $WHAT $CHECK $COEF ARCH=$ARCH $OPTS -- << EOF
  TEST_LIST=airs/01,airs/11
  TEST_LIST=amsr/01,amsr/21
  TEST_LIST=amsua/01,amsua/02,amsua/03,amsua/04,amsua/05,amsua/06,amsua/07
  TEST_LIST=amsua/11,amsua/21,amsua/31,amsua/50
  TEST_LIST=amsub/01,amsub/02,amsub/03,amsub/21
  TEST_LIST=atsr/01,atsr/02,atsr/03,atsr/21
  TEST_LIST=avhrr/01,avhrr/02,avhrr/03,avhrr/04,avhrr/05,avhrr/06,avhrr/07
  TEST_LIST=avhrr/08,avhrr/09,avhrr/10,avhrr/11,avhrr/12,avhrr/13,avhrr/14
  TEST_LIST=avhrr/15,avhrr/16,avhrr/21
  TEST_LIST=hirs/01,hirs/02,hirs/03,hirs/04,hirs/05,hirs/06,hirs/07,hirs/08
  TEST_LIST=hirs/10,hirs/11,hirs/12,hirs/13,hirs/14,hirs/15,hirs/16,hirs/21,hirs/50
  TEST_LIST=iasi/01,iasi/11
  TEST_LIST=imager/01,imager/02,imager/03,imager/04,imager/05,imager/06,imager/07
  TEST_LIST=imager/08,imager/09,imager/10,imager/11,imager/21
  TEST_LIST=mhs/01,mhs/02,mhs/03,mhs/21
  TEST_LIST=modis/01,modis/02,modis/21
  TEST_LIST=msu/01,msu/02,msu/03,msu/04,msu/05,msu/06,msu/07,msu/08,msu/09,msu/21
  TEST_LIST=mviri/01,mviri/02,mviri/03,mviri/04,mviri/05,mviri/07,mviri/21
  TEST_LIST=seviri/01,seviri/02,seviri/21,seviri/50
  TEST_LIST=sounder/01,sounder/02,sounder/03,sounder/04,sounder/05,sounder/06,sounder/07
  TEST_LIST=sounder/08,sounder/21
  TEST_LIST=ssmi/01,ssmi/02,ssmi/03,ssmi/04,ssmi/05,ssmi/06,ssmi/07,ssmi/08,ssmi/21
  TEST_LIST=ssmis/01,ssmis/02,ssmis/03,ssmis/21
  TEST_LIST=ssu/01,ssu/02,ssu/03,ssu/04,ssu/05,ssu/06,ssu/07,ssu/08,ssu/21
  TEST_LIST=tmi/01,tmi/21
  TEST_LIST=vissr/01,vissr/02,vissr/21
  TEST_LIST=windsat/01,windsat/21
EOF
