#!/bin/sh

# User test

# Test running RTTOV for several different instruments/profiles at once.

if [ "x$ARCH" = "x" ]
then
  ARCH=`perl -e 'for(@ARGV){m/^ARCH=(\S+)$/o && print "$1";}' $*`
fi

set -x

SESSION=test_multi_instrument
OPTS=$*
WHAT="DIRECT=1 TL=1 AD=1 K=1"
CHECK="CHECK=1 TEST_REF=$SESSION.2"
COEF="COEF_EXTRACT=1 COEF_FORMAT=UNFORMATTED"

./rttov_test.pl SESSION=$SESSION $WHAT $CHECK $COEF ARCH=$ARCH $OPTS -- << EOF
  TEST_LIST=avhrr/01+hirs/01+amsua/21+airs/23
  TEST_LIST=modis/01+hirs/21+ssmis/01+iasi/41
  TEST_LIST=hirs/02+seviri/01+airs/43+mhs/01
EOF
