#!/bin/sh

# User test

# Tests the full RTTOV-10 code for various MW and IR instruments.

if [ "x$ARCH" = "x" ]
then
  ARCH=`perl -e 'for(@ARGV){m/^ARCH=(\S+)$/o && print "$1";}' $*`
fi

set -x

SESSION=test_rttov10
OPTS=$*
WHAT="DIRECT=1 TL=1 AD=1 K=1"
CHECK="CHECK=1 TEST_REF=$SESSION.2"

./rttov_test.pl SESSION=$SESSION $WHAT $CHECK ARCH=$ARCH $OPTS -- << EOF
  TEST_LIST=amsr/01
  TEST_LIST=amsua/21,amsua/31
  TEST_LIST=amsub/01
  TEST_LIST=msu/01,msu/21      REFRACTION=1
  TEST_LIST=ssmis/01,ssmis/21
  TEST_LIST=windsat/01
  TEST_LIST=hirs/01,hirs/21    REFRACTION=1 APPLY_REG_LIMITS=1
  TEST_LIST=modis/01
  TEST_LIST=seviri/21
EOF

