#!/bin/sh

# User test

# Tests the full RTTOV-10 code for hi-res IR instruments including cloud/aerosol profiles.

if [ "x$ARCH" = "x" ]
then
  ARCH=`perl -e 'for(@ARGV){m/^ARCH=(\S+)$/o && print "$1";}' $*`
fi

set -x

SESSION=test_rttov10_hires
OPTS=$*
WHAT="DIRECT=1 TL=1 AD=1 K=1"
CHECK="CHECK=1 TEST_REF=$SESSION.2"
COEF="COEF_EXTRACT=1 COEF_FORMAT=UNFORMATTED"

./rttov_test.pl SESSION=$SESSION $WHAT $CHECK $COEF ARCH=$ARCH $OPTS -- << EOF
  TEST_LIST=airs/01,airs/21
  TEST_LIST=airs/41,airs/42,airs/43
  TEST_LIST=iasi/01,iasi/21           REFRACTION=1 SOLAR=1
  TEST_LIST=iasi/41,iasi/42,iasi/43   REFRACTION=1
EOF
